Create Agent
curl --request POST \
--url https://{deployment}/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"owner_subject": "<string>",
"owner_email": "<string>",
"org_unit": "<string>",
"autonomy_tier": "L0",
"market_profile_id": "<string>",
"environment": "<string>"
}
'import requests
url = "https://{deployment}/v1/agents"
payload = {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"owner_subject": "<string>",
"owner_email": "<string>",
"org_unit": "<string>",
"autonomy_tier": "L0",
"market_profile_id": "<string>",
"environment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
description: '<string>',
owner_subject: '<string>',
owner_email: '<string>',
org_unit: '<string>',
autonomy_tier: 'L0',
market_profile_id: '<string>',
environment: '<string>'
})
};
fetch('https://{deployment}/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'slug' => '<string>',
'description' => '<string>',
'owner_subject' => '<string>',
'owner_email' => '<string>',
'org_unit' => '<string>',
'autonomy_tier' => 'L0',
'market_profile_id' => '<string>',
'environment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/agents"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"description\": \"<string>\",\n \"owner_subject\": \"<string>\",\n \"owner_email\": \"<string>\",\n \"org_unit\": \"<string>\",\n \"autonomy_tier\": \"L0\",\n \"market_profile_id\": \"<string>\",\n \"environment\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/agents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"description\": \"<string>\",\n \"owner_subject\": \"<string>\",\n \"owner_email\": \"<string>\",\n \"org_unit\": \"<string>\",\n \"autonomy_tier\": \"L0\",\n \"market_profile_id\": \"<string>\",\n \"environment\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"description\": \"<string>\",\n \"owner_subject\": \"<string>\",\n \"owner_email\": \"<string>\",\n \"org_unit\": \"<string>\",\n \"autonomy_tier\": \"L0\",\n \"market_profile_id\": \"<string>\",\n \"environment\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"environment": "<string>",
"name": "<string>",
"description": "<string>",
"owner_subject": "<string>",
"org_unit": "<string>",
"autonomy_tier": "<string>",
"status": "<string>",
"identity_verified": true,
"identity_source": "<string>",
"market_profile_id": "<string>",
"recert_due_at": "2023-11-07T05:31:56Z",
"discovered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"identity_ref": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Registry
Create Agent
Who may call it: governance-officer or admin. A workspace API key is refused here: this is an act that belongs to a named person.
POST
/
v1
/
agents
Create Agent
curl --request POST \
--url https://{deployment}/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"owner_subject": "<string>",
"owner_email": "<string>",
"org_unit": "<string>",
"autonomy_tier": "L0",
"market_profile_id": "<string>",
"environment": "<string>"
}
'import requests
url = "https://{deployment}/v1/agents"
payload = {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"owner_subject": "<string>",
"owner_email": "<string>",
"org_unit": "<string>",
"autonomy_tier": "L0",
"market_profile_id": "<string>",
"environment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
description: '<string>',
owner_subject: '<string>',
owner_email: '<string>',
org_unit: '<string>',
autonomy_tier: 'L0',
market_profile_id: '<string>',
environment: '<string>'
})
};
fetch('https://{deployment}/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'slug' => '<string>',
'description' => '<string>',
'owner_subject' => '<string>',
'owner_email' => '<string>',
'org_unit' => '<string>',
'autonomy_tier' => 'L0',
'market_profile_id' => '<string>',
'environment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/agents"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"description\": \"<string>\",\n \"owner_subject\": \"<string>\",\n \"owner_email\": \"<string>\",\n \"org_unit\": \"<string>\",\n \"autonomy_tier\": \"L0\",\n \"market_profile_id\": \"<string>\",\n \"environment\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/agents")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"description\": \"<string>\",\n \"owner_subject\": \"<string>\",\n \"owner_email\": \"<string>\",\n \"org_unit\": \"<string>\",\n \"autonomy_tier\": \"L0\",\n \"market_profile_id\": \"<string>\",\n \"environment\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"slug\": \"<string>\",\n \"description\": \"<string>\",\n \"owner_subject\": \"<string>\",\n \"owner_email\": \"<string>\",\n \"org_unit\": \"<string>\",\n \"autonomy_tier\": \"L0\",\n \"market_profile_id\": \"<string>\",\n \"environment\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"slug": "<string>",
"environment": "<string>",
"name": "<string>",
"description": "<string>",
"owner_subject": "<string>",
"org_unit": "<string>",
"autonomy_tier": "<string>",
"status": "<string>",
"identity_verified": true,
"identity_source": "<string>",
"market_profile_id": "<string>",
"recert_due_at": "2023-11-07T05:31:56Z",
"discovered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"identity_ref": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Body
application/json
Response
Successful Response
